NAME="uthash"
DESC="C macros for hash tables and more"
VERSION="2.3.0"
FILES=("https://github.com/troydhanson/uthash/archive/refs/tags/v$VERSION.tar.gz")
HASHES=("e10382ab75518bad8319eb922ad04f907cb20cccb451a3aa980c9d005e661acc")
DEPENDS=()

PACKAGE() {
  tar xf v$VERSION.tar.gz
  cd $NAME-$VERSION

  install -dm755 "$ROOTDIR"/usr/include/
  for h in src/*.h; do
      install -m 644 ${h} "$ROOTDIR"/usr/include/
  done

  cd .. && rm -r $NAME-$VERSION
}
